<mat-card class="container">
  <div class="list">
    <mat-selection-list #datas [multiple]="false">
      <mat-list-option *ngFor="let item of data" [value]="item">
        <mat-icon mat-list-icon>face</mat-icon>
        <div mat-line>{{item.firstname}} {{item.lastname}}</div>
        <div class="text-gray" mat-line>StartDate {{item.startdate}}</div>
      </mat-list-option>
    </mat-selection-list>
  </div>
  <div class="content">
    <div *ngIf="datas.selectedOptions.selected[0]?.value;then displayContent else hideContent"></div>
    <ng-template #displayContent>
      <app-employee-info [info]="datas.selectedOptions.selected[0]?.value"></app-employee-info>
    </ng-template>
    <ng-template #hideContent>
      <div class="empty-content">
        <mat-icon mat-list-icon inline="true">search_off</mat-icon>
        <h1>No Results</h1>
        <span class="text-gray">Sorry there are no results here, please select name in the list</span>
      </div>
    </ng-template>

  </div>

</mat-card>
